﻿@model StomaWebApp.Views.ViewModels.BigUserMainViewModel

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Stoma Project Web</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
    <link rel="stylesheet" href="~/lib/jquery/jquery-ui-1.12.1/jquery-ui.css">
</head>
<body>
    <header>
        <nav class="navbar-light bg-white border-bottom box-shadow">
            <div class="usermain-nav-buttons buttons-float-left">
                Stoma Project Web
            </div>
            <div class="usermain-nav-buttons buttons-float-right div-hover">
                <div class="dropdown dropdown-menu-right">
                    <a class="btn-secondary" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Profile
                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuButton">
                        <a class="dropdown-item"  href="~/logout">Logout</a>
                        
                    </div>
                </div>
            </div>
            <div class="usermain-nav-buttons buttons-float-right div-hover">
                Notifications
            </div>
        </nav>
    </header>
    <div class="container-fluid full-height">
        <div class="row full-height">
            <div class="col-xs-1 side-panel">

                <div class="sidepanel-text div-hover dashboard-items border-bottom">
                    <a asp-controller="UserMain" asp-action="UserMain" style="text-decoration:none">Appointments</a>
                </div>
                <div class="sidepanel-text div-hover dashboard-items border-bottom">
                    <a asp-controller="UserMain" asp-action="Patients"  asp-route-id="1" style="text-decoration:none">Patients</a>
                </div>
            </div>
            @RenderBody()
        </div>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; @DateTime.Now.Year - StomaProjectWeb - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>

    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    <script src="https://code.jquery.com/jquery-1.12.4.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script>
        $(function () {
            $(".datepicker").datepicker({
                dateFormat:"dd/mm/yy"
            });
            
        });
    </script>
    <script>
        @if (Model == null)
        {
            return;
        }
        var patients = JSON.parse('@Html.Raw(Json.Serialize(Model.patientNames))')
        console.log(patients);

        autocomplete(document.getElementById("myInput"), patients);
    </script>
    @RenderSection("Scripts", required: false)
</body>
</html>
